For the complete documentation index, see llms.txt. This page is also available as Markdown.

Class Action Sought

Filter cases by class action sought status

Filter by class action sought id (int).

GET https://clearinghouse.net/api/v2p1/cases?class_action_sought=class_action_sought_id

Query Parameters

Name
Type
Description

relief_source_id*

integer

Relief source ID (see list below for list of integers and its mapped values)

Headers

Name
Type
Description

Authorization*

String

Authorization

Token XXXXXXXXXXX

where

XXXXXXXXXXX

is the token string

\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2p1/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2p1/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2p1/cases/?case_id=xyz
["API Error: xyz is not an integer."]
{
    "detail":"Authentication credentials were not provided."
}

Supported class action sought IDs (class_action_sought_id):

5018
Yes

5019

Unknown

5017

No

For more about class action sought status, see class_action_sought.

Example

https://clearinghouse.net/api/v2p1/cases?class_action_sought=5019
import requests

url = "https://clearinghouse.net/api/v2p1/cases?class_action_sought=5019"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)

Last updated